package member

import (
	"fmt"

	"git.loafle.net/overflow/overflow_server_app/server"

	"git.loafle.net/overflow/overflow_server_app/backend"
	"github.com/valyala/fasthttp"
	"encoding/json"
)

type Member struct {
	Id          string `json:"id"`
	Email       string `json:"email"`
	Pw          string `json:"pw"`
	Name        string `json:"name"`
	CompanyName string `json:"companyName"`
	Phone       string `json:"phone"`
}

func SignUp(sctx *server.ServerContext, ctx *fasthttp.RequestCtx) {
	grpcPool := sctx.Value("grpc").(backend.Pool)
	c, err := grpcPool.Get()
	if nil != err {

	}
	defer c.Close()

	m := &Member{}
	m.Email = string(ctx.FormValue("email"))
	m.Name = string(ctx.FormValue("name"))
	m.CompanyName = string(ctx.FormValue("companyName"))
	m.Phone = string(ctx.FormValue("phone"))
	m.Pw = string(ctx.FormValue("pw"))

	mm,_ := json.Marshal(m)
	params := []string{string(mm), string(m.Pw)}

	r, err := c.Exec("MemberService", "signup", params)

	fmt.Fprintf(ctx, "Welcome!!!!: %s\n", r)
}
